
Redmine - Defect #36287

rake redmine:plugins:assets fails

2021-12-07 02:23 - Mizuki ISHIKAWA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

 $ rake redmine:plugins:assets 

rake aborted!

NoMethodError: undefined method `mirror_assets' for Redmine::Plugin:Class

/var/lib/redmine/lib/tasks/redmine.rake:153:in `block (3 levels) in <top (required)>'

/usr/local/bundle/gems/rake-13.0.6/exe/rake:27:in `<top (required)>'

Tasks: TOP => redmine:plugins:assets

(See full trace by running task with --trace)

 This also affects the redmine:plugins task (rake redmine:plugins).

This is probably related to #32938.

Related issues:

Related to Redmine - Feature #32938: Rails 6: Zeitwerk support Closed

Associated revisions

Revision 21300 - 2021-12-08 02:23 - Go MAEDA

Fix redmine:plugins:assets rake task fails (#36287, #32938).

Patch by Mizuki ISHIKAWA.

History

#1 - 2021-12-07 02:28 - Mizuki ISHIKAWA

- File fix-36287.patch added

The patch is attached.

I don't understand the need to mirror_assets for plugins specified by name, but I've changed it to work with the same specs as before.

#2 - 2021-12-07 07:22 - Go MAEDA

- Related to Feature #32938: Rails 6: Zeitwerk support added

#3 - 2021-12-07 07:33 - Go MAEDA

- Status changed from New to Confirmed

#4 - 2021-12-08 02:24 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix as a part of #32938. Thank you.

Files

fix-36287.patch 1.88 KB 2021-12-07 Mizuki ISHIKAWA
